function p4set-groupparams
{param([Parameter(Mandatory=$true)]$groupName,$MaxResults,$MaxLockTime,$MaxScanRows,$Timeout,$PasswordTimeout)
$servercheck = p4get-server
if ($servercheck.pingsuccess.equals($true))
{
	$oldGroupObject = p4get-group $groupName
	if (!$MaxResults)
	{
		$MaxResults = $oldGroupObject.MaxResults
	}
	if (!$MaxLockTime)
	{
		$MaxLockTime = $oldGroupObject.MaxLockTime
	}
	if (!$MaxScanRows)
	{
		$MaxScanRows = $oldGroupObject.MaxScanRows
	}
	if (!$MaxTimeout)
	{
		$Timeout = $oldGroupObject.Timeout
	}
	if (!$PasswordTimeout)
	{
		$PasswordTimeout = $oldGroupObject.PasswordTimeout
	}
	
	p4add-group -group $oldGroupObject.Group -owners $oldGroupObject.Owners -SubGroups $oldGroupObject.SubGroups -Users $oldGroupObject.users -MaxResults $MaxResults -MaxLockTime $MaxLockTime -MaxScanRows $MaxScanRows -timeout $Timeout -PasswordTimeout $PasswordTimeout
	
	# p4add-group -group p4hydra.concept -maxresults $group.maxresults -maxscanrows $group.maxscanrows -maxlocktime $group.maxlocktime -timeout $group.timeout -subgroups $group.subgroups -owners $group.owners -users $group.owners -users $group.users
}
}