## Uniquify-Path
##
function Uniquify-Path
{param([Parameter(Mandatory=$true)]$path)
    $extension = [io.path]::getextension($path)
    $prefix = $path.substring(0, $path.length - $extension.length)
	#uniquify path has a bug when run on root of a drive.
    # potentially add a serial if already exists due to testing or multiple logarchive runs
    for ($i = 1; (test-path $path) -or (test-path "$path.gz"); ++$i)
    {
        $path = "$prefix-$i$extension"
    }
    $path
}